2.4.3 download
2 2

15 posts in this topic

Just quick question, I see that they've added a link to download 2.4.3, For those of us that still have the 1.12.1 install filles, are we able to use that to save downloading WoW Classic again?

Share this post


Link to post
Share on other sites

you can install Burning Crusade over the classic one that you have.

If you wanna have both games just make a fresh install of Classic WoW and Burning Crusade.

Share this post


Link to post
Share on other sites

you can install Burning Crusade over the classic one that you have.

If you wanna have both games just make a fresh install of Classic WoW and Burning Crusade.

Actually, if you want to have both, copy your vanilla install directory and rename it, then patch the new copy. There's no reason to install the game more than once unless you've already patched past the version you want.

Share this post


Link to post
Share on other sites

For some reason its not working,

Getting this error when i try to install Burning Cruisade:

You must upgrade to World of Warcraft 2.0 before continuing the installation.

Share this post


Link to post
Share on other sites

For some reason its not working,

Getting this error when i try to install Burning Cruisade:

You must upgrade to World of Warcraft 2.0 before continuing the installation.

sammeeeeee

Share this post


Link to post
Share on other sites

No idea, I just did a fresh install of classic and upgraded it to TBC and it worked fine after that.

It might be trying to install the patch on the classic wow installation you have, instead of the TBC installation.

Share this post


Link to post
Share on other sites

got mine working,

apparently if you want to use your 1.12.1 vanilla WoW install, you must download a patch that is 1.12.x to 2.0, the one i found was 700megs. I accidently downloaded the US version first and it wouldn't work, so make sure u find the correct version.

Share this post


Link to post
Share on other sites

got mine working,

apparently if you want to use your 1.12.1 vanilla WoW install, you must download a patch that is 1.12.x to 2.0, the one i found was 700megs. I accidently downloaded the US version first and it wouldn't work, so make sure u find the correct version.

got a link?! :)

Share this post


Link to post
Share on other sites

so far i downloaded wow-tbc and ended up with 3.0.somthing. its to high idk what happened. ive tryed to do wow then patches then bc but bc just bringsthe patch to 3.0.1 any ideas or links for a full download of wow,bc,and patches. it would make it easyer for everyone. good link plz

Share this post


Link to post
Share on other sites

so far i downloaded wow-tbc and ended up with 3.0.somthing. its to high idk what happened. ive tryed to do wow then patches then bc but bc just bringsthe patch to 3.0.1 any ideas or links for a full download of wow,bc,and patches. it would make it easyer for everyone. good link plz

it doesn't sound like you are having the same problem as we had, links to a full download of WoW Classic, TBC and the updates are under "Welcome to Feenix wow private server!" thread

Share this post


Link to post
Share on other sites

Any one know how i can get TBC to work on mac without running windows on my mac?

Got link to client? or should i just patch my vanilla client?

Share this post


Link to post
Share on other sites

can some1 help me, i dont know what to do. i have folders : Burning crusade , classic client and all the patches from 2.0.0 to 2.4.3 . can some1 help me with TW because i have no idea what to fail somehow :) skype : meumeult

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
2 2